<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: llg/llg.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_ad11b878d2835527517911859427b54f.html">llg</a>
  </div>
</div>
<div class="contents">
<h1>llg.h File Reference</h1><code>#include &quot;<a class="el" href="griddata_8h_source.html">griddata.h</a>&quot;</code><br/>
<div class="dynheader">
Include dependency graph for llg.h:</div>
<div class="dynsection">
<div class="center"><img src="llg_8h__incl.png" border="0" usemap="#llg_2llg_8h_map" alt=""/></div>
<map name="llg_2llg_8h_map" id="llg_2llg_8h">
<area shape="rect" id="node3" href="griddata_8h.html" title="griddata.h" alt="" coords="163,86,240,117"/></map>
</div>
<div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dynsection">
<div class="center"><img src="llg_8h__dep__incl.png" border="0" usemap="#llg_2llg_8hdep_map" alt=""/></div>
<map name="llg_2llg_8hdep_map" id="llg_2llg_8hdep">
<area shape="rect" id="node3" href="calc__dMdt_8c.html" title="llg/calc_dMdt.c" alt="" coords="5,86,115,117"/><area shape="rect" id="node5" href="checkiterationllg_8c.html" title="llg/checkiterationllg.c" alt="" coords="139,86,283,117"/><area shape="rect" id="node7" href="myllgjacobian_8c.html" title="llg/myllgjacobian.c" alt="" coords="307,86,435,117"/><area shape="rect" id="node9" href="mytscreatepvode_8c.html" title="llg/mytscreatepvode.c" alt="" coords="459,86,608,117"/><area shape="rect" id="node11" href="mytssteppvode_8c.html" title="llg/mytssteppvode.c" alt="" coords="632,86,771,117"/><area shape="rect" id="node13" href="precond_8c.html" title="llg/precond.c" alt="" coords="795,86,891,117"/><area shape="rect" id="node15" href="rhsfunction_8c.html" title="llg/rhsfunction.c" alt="" coords="915,86,1029,117"/><area shape="rect" id="node17" href="writelog__pvode_8c.html" title="llg/writelog_pvode.c" alt="" coords="1053,86,1189,117"/></map>
</div>

<p><a href="llg_8h_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="llg_8h.html#a35010647607c93a40bdab3e86041714f">myLLGJacobian</a> (TS ts, PetscReal t, Vec global_in, Mat *AA, Mat *BB, MatStructure *str, void *ctx)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="llg_8h.html#aa814b25d7c7a65198ca75426fb6d7403">calc_dMdt</a> (TS ts, PetscReal dt, Vec invec, Vec outvec, void *ptr)</td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="aa814b25d7c7a65198ca75426fb6d7403"></a><!-- doxytag: member="llg.h::calc_dMdt" ref="aa814b25d7c7a65198ca75426fb6d7403" args="(TS ts, PetscReal dt, Vec invec, Vec outvec, void *ptr)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int calc_dMdt </td>
          <td>(</td>
          <td class="paramtype">TS&nbsp;</td>
          <td class="paramname"> <em>ts</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal&nbsp;</td>
          <td class="paramname"> <em>dt</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Vec&nbsp;</td>
          <td class="paramname"> <em>invec</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Vec&nbsp;</td>
          <td class="paramname"> <em>outvec</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&nbsp;</td>
          <td class="paramname"> <em>ptr</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="calc__dMdt_8c_source.html#l00034">34</a> of file <a class="el" href="calc__dMdt_8c_source.html">calc_dMdt.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00131">douter</a>, <a class="el" href="htot_8c_source.html#l00055">Htot()</a>, <a class="el" href="griddata_8h_source.html#l00171">GridData::ln_vert</a>, <a class="el" href="griddata_8h_source.html#l00247">GridData::M</a>, <a class="el" href="griddata_8h_source.html#l00082">MagparFunctionInfoBegin</a>, <a class="el" href="griddata_8h_source.html#l00084">MagparFunctionProfReturn</a>, <a class="el" href="griddata_8h_source.html#l00147">GridData::mode</a>, <a class="el" href="griddata_8h_source.html#l00126">my_daxpy</a>, <a class="el" href="griddata_8h_source.html#l00127">my_dcopy</a>, <a class="el" href="griddata_8h_source.html#l00129">my_dscal</a>, <a class="el" href="griddata_8h_source.html#l00093">ND</a>, <a class="el" href="griddata_8h_source.html#l00097">NP</a>, <a class="el" href="griddata_8h_source.html#l00221">GridData::propdat</a>, <a class="el" href="griddata_8h_source.html#l00119">RIGID_M_ALPHA</a>, <a class="el" href="griddata_8h_source.html#l00145">GridData::time</a>, <a class="el" href="griddata_8h_source.html#l00182">GridData::vertprop</a>, and <a class="el" href="griddata_8h_source.html#l00259">GridData::VHtot</a>.</p>

<p>Referenced by <a class="el" href="checkiterationllg_8c_source.html#l00318">CheckIterationLLG()</a>, <a class="el" href="eminisolve_8c_source.html#l00191">ConvTest()</a>, and <a class="el" href="rhsfunction_8c_source.html#l00031">RHSfunction()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="llg_8h_aa814b25d7c7a65198ca75426fb6d7403_cgraph.png" border="0" usemap="#llg_8h_aa814b25d7c7a65198ca75426fb6d7403_cgraph_map" alt=""></div>
<map name="llg_8h_aa814b25d7c7a65198ca75426fb6d7403_cgraph_map" id="llg_8h_aa814b25d7c7a65198ca75426fb6d7403_cgraph">
<area shape="rect" id="node3" href="field_8h.html#ab9d30ce64708afeca163280386deb654" title="Htot" alt="" coords="137,238,183,269"/><area shape="rect" id="node5" href="field_8h.html#ace2ad4bc212a40902a58d3bfdaa0518a" title="Hcubic" alt="" coords="240,105,301,135"/><area shape="rect" id="node9" href="field_8h.html#a8e779a08a066fda9160df1a7e5102a58" title="Hdemag" alt="" coords="236,211,305,242"/><area shape="rect" id="node43" href="field_8h.html#a97e3d5671797656fb91afa5e61778e74" title="Helastic" alt="" coords="236,158,305,189"/><area shape="rect" id="node49" href="field_8h.html#ab3c152ad4a30f46fd55fff971a53d2ae" title="Hexchani" alt="" coords="233,265,308,295"/><area shape="rect" id="node56" href="field_8h.html#aeaf153862ea87b88e30bee559bf1d481" title="Hexternal" alt="" coords="232,530,309,561"/><area shape="rect" id="node93" href="htot_8c.html#a85ee39fe66d72226d10cb331fda60cd1" title="Htot_Init" alt="" coords="236,583,305,614"/><area shape="rect" id="node7" href="hcubic_8c.html#a01373c5662322678c71a3420ab8b0790" title="Hcubic_Init" alt="" coords="367,105,452,135"/><area shape="rect" id="node11" href="hdemag_8c.html#a550cd909b1c224ef8c259dd68298e50a" title="Hdemag_Init" alt="" coords="363,211,456,242"/><area shape="rect" id="node13" href="bmatrix_8c.html#a02081555af5c4ef64cc4674f52b4d446" title="BMatrix" alt="" coords="537,159,604,190"/><area shape="rect" id="node19" href="printmatinfo_8c.html#a8c62a6053be02438e1bf2da1efa06f1f" title="PrintMatInfoAll" alt="" coords="695,55,801,86"/><area shape="rect" id="node26" href="progressbar_8c.html#afac4bb91f0e22a14a209a0f60113654d" title="ProgressBar" alt="" coords="701,213,795,243"/><area shape="rect" id="node33" href="mesh2dual_8c.html#abb99aec57817a85ad1c4c2552f695434" title="Mesh2Nodal" alt="" coords="524,263,617,294"/><area shape="rect" id="node39" href="elevertvol_8c.html#add57a81e67724a47fc306e81ccec2a5e" title="tetgrad" alt="" coords="540,317,601,347"/><area shape="rect" id="node15" href="bele_8c.html#affb52b9f2b0f2fd0d97c0519704464c8" title="Bele" alt="" coords="896,162,944,193"/><area shape="rect" id="node28" href="bmatrix_8c.html#a6ef9ef50f16bc7123b3585a730fa9afa" title="VertBSA" alt="" coords="712,109,784,139"/><area shape="rect" id="node17" href="solidangle_8c.html#a11f1b219c8bea88b0d4efaa49d9e109e" title="PointFromPlane" alt="" coords="1025,122,1137,153"/><area shape="rect" id="node21" href="namespacegmshtoucd.html#af68c1546c900f7a17a20835183320d61" title="gmshtoucd::info" alt="" coords="1024,42,1139,73"/><area shape="rect" id="node23" href="printmatinfo_8c.html#ad26766c91dfc88c559fd736d1bb6e064" title="PrintMatInfo" alt="" coords="873,55,967,86"/><area shape="rect" id="node30" href="solidangle_8c.html#a1e2c6c7a1101373c5702b927ca66405f" title="SolidAngle" alt="" coords="879,109,961,139"/><area shape="rect" id="node35" href="mesh2dual_8c.html#a194ba29523e593289f63c3071c31a34b" title="Mesh2VertEle" alt="" coords="697,266,799,297"/><area shape="rect" id="node41" href="init_8h.html#ad362da888961433eb994e6a5bc0c818d" title="tetvol" alt="" coords="721,319,775,350"/><area shape="rect" id="node45" href="helastic_8c.html#a396340125882d5038a4dbdadc4468699" title="Helastic_Init" alt="" coords="363,158,456,189"/><area shape="rect" id="node47" href="helastic_8c.html#af12c767230bdb7467dd25210d5fefe50" title="ReadProp" alt="" coords="532,5,609,35"/><area shape="rect" id="node51" href="hexch__ani_8c.html#a9db4f6f0ac5776543bcd4f802226942e" title="Hexchani_Init" alt="" coords="359,265,460,295"/><area shape="rect" id="node58" href="field_8h.html#a2866a2d9dd35b17789e06b1b79ab72cc" title="Hext_cu" alt="" coords="375,717,444,747"/><area shape="rect" id="node62" href="field_8h.html#aeb00096e7649b4910f8fa67dc6f27401" title="Hext_ho" alt="" coords="375,530,444,561"/><area shape="rect" id="node80" href="field_8h.html#a30cb382d2ba1eb8b00264cf43ce43e05" title="Hext_kq" alt="" coords="375,583,444,614"/><area shape="rect" id="node84" href="field_8h.html#a66aec7a3ca42c0059d2b330ca937a555" title="Hext_py" alt="" coords="375,423,444,454"/><area shape="rect" id="node91" href="hexternal_8c.html#a3459c1707cc058f462cb730e78809f17" title="Hexternal_Init" alt="" coords="359,637,460,667"/><area shape="rect" id="node60" href="hext__cu_8c.html#ad490e336bf2582884e7e3191bd37891a" title="Hext_cu_Init" alt="" coords="524,743,617,774"/><area shape="rect" id="node64" href="ipol_8c.html#a3e2699b016b84132ec08d3795b951dd9" title="getscalf" alt="" coords="537,583,604,614"/><area shape="rect" id="node66" href="field_8h.html#a2e1ef17932652e8d616587011fb09c63" title="Hext_ho_hsweep" alt="" coords="511,477,631,507"/><area shape="rect" id="node68" href="hext__ho_8c.html#aa7f4b51477b5dcd5afd1f4b73ffde571" title="Hext_ho_Init" alt="" coords="524,637,617,667"/><area shape="rect" id="node78" href="util_8h.html#aa88f92d349ee3335807573e6ff373963" title="VecSetVec" alt="" coords="528,530,613,561"/><area shape="rect" id="node70" href="hext__ho_8c.html#aed1404d744513b58ba58166a487dcbdf" title="Hext_ho_hstep_Init" alt="" coords="681,610,815,641"/><area shape="rect" id="node74" href="hext__ho_8c.html#ad61d58b7779a7d182a09c9becae36af1" title="Hext_ho_ht_Init" alt="" coords="692,663,804,694"/><area shape="rect" id="node72" href="field_8h.html#a567e7efd2748f5b33963b581ed12626c" title="read_hstep_file" alt="" coords="865,610,975,641"/><area shape="rect" id="node76" href="ipol_8c.html#a7c6add33a29c7ae759615a08798ee75d" title="readht" alt="" coords="891,663,949,694"/><area shape="rect" id="node82" href="hext__kq_8c.html#aac24a1f9bfe67ce4a008a31375cb1d01" title="Hext_kq_Init" alt="" coords="524,690,617,721"/><area shape="rect" id="node86" href="hext__py_8c.html#a9570f5d09accfa97e676f862b1acb592" title="hext_f" alt="" coords="541,423,600,454"/><area shape="rect" id="node88" href="hext__py_8c.html#a53aac86dc06657ac5dc89f8f21bd4a70" title="Hext_py_Init" alt="" coords="524,370,617,401"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="llg_8h_aa814b25d7c7a65198ca75426fb6d7403_icgraph.png" border="0" usemap="#llg_8h_aa814b25d7c7a65198ca75426fb6d7403_icgraph_map" alt=""></div>
<map name="llg_8h_aa814b25d7c7a65198ca75426fb6d7403_icgraph_map" id="llg_8h_aa814b25d7c7a65198ca75426fb6d7403_icgraph">
<area shape="rect" id="node3" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="601,110,729,141"/><area shape="rect" id="node12" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="145,18,223,49"/><area shape="rect" id="node17" href="rhsfunction_8c.html#a5e964b5572e1640d9a793c353f6a28f6" title="RHSfunction" alt="" coords="137,85,231,115"/><area shape="rect" id="node5" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="779,57,837,87"/><area shape="rect" id="node9" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="781,110,835,141"/><area shape="rect" id="node7" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="885,83,936,114"/><area shape="rect" id="node14" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="603,5,728,35"/><area shape="rect" id="node19" href="mytscreatepvode_8c.html#a56b55de0386618edfef4220e5b7b078a" title="PVodeInit" alt="" coords="288,57,365,87"/><area shape="rect" id="node24" href="mytscreatepvode_8c.html#a4ca0e9d74cde3d8e01ad9701426444da" title="PVodeReInit" alt="" coords="280,110,373,141"/><area shape="rect" id="node21" href="mytscreatepvode_8c.html#a9671ea286af405e584ae7468a0ce15b3" title="myTSCreatePVode" alt="" coords="421,57,552,87"/><area shape="rect" id="node26" href="checkiterationllg_8c.html#a4ff7d0e1586041652124b1189f59b881" title="adjtol" alt="" coords="460,110,513,141"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a35010647607c93a40bdab3e86041714f"></a><!-- doxytag: member="llg.h::myLLGJacobian" ref="a35010647607c93a40bdab3e86041714f" args="(TS ts, PetscReal t, Vec global_in, Mat *AA, Mat *BB, MatStructure *str, void *ctx)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int myLLGJacobian </td>
          <td>(</td>
          <td class="paramtype">TS&nbsp;</td>
          <td class="paramname"> <em>ts</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal&nbsp;</td>
          <td class="paramname"> <em>t</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Vec&nbsp;</td>
          <td class="paramname"> <em>global_in</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Mat *&nbsp;</td>
          <td class="paramname"> <em>AA</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Mat *&nbsp;</td>
          <td class="paramname"> <em>BB</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">MatStructure *&nbsp;</td>
          <td class="paramname"> <em>str</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&nbsp;</td>
          <td class="paramname"> <em>ctx</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="myllgjacobian_8c_source.html#l00033">33</a> of file <a class="el" href="myllgjacobian_8c_source.html">myllgjacobian.c</a>.</p>

<p>References <a class="el" href="hexch__ani_8c_source.html#l00034">Ad2E_dMidMk</a>, <a class="el" href="gmshtoucd_8py_source.html#l00202">gmshtoucd::info()</a>, <a class="el" href="griddata_8h_source.html#l00171">GridData::ln_vert</a>, <a class="el" href="griddata_8h_source.html#l00082">MagparFunctionInfoBegin</a>, <a class="el" href="griddata_8h_source.html#l00084">MagparFunctionProfReturn</a>, <a class="el" href="griddata_8h_source.html#l00164">GridData::n_vert</a>, <a class="el" href="griddata_8h_source.html#l00093">ND</a>, <a class="el" href="griddata_8h_source.html#l00097">NP</a>, <a class="el" href="progressbar_8c_source.html#l00029">ProgressBar()</a>, <a class="el" href="griddata_8h_source.html#l00221">GridData::propdat</a>, <a class="el" href="griddata_8h_source.html#l00119">RIGID_M_ALPHA</a>, <a class="el" href="griddata_8h_source.html#l00179">GridData::vertl2g</a>, <a class="el" href="griddata_8h_source.html#l00182">GridData::vertprop</a>, and <a class="el" href="griddata_8h_source.html#l00259">GridData::VHtot</a>.</p>

<p>Referenced by <a class="el" href="precond_8c_source.html#l00327">Precond()</a>, and <a class="el" href="precond_8c_source.html#l00036">Precond_Init()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="llg_8h_a35010647607c93a40bdab3e86041714f_cgraph.png" border="0" usemap="#llg_8h_a35010647607c93a40bdab3e86041714f_cgraph_map" alt=""></div>
<map name="llg_8h_a35010647607c93a40bdab3e86041714f_cgraph_map" id="llg_8h_a35010647607c93a40bdab3e86041714f_cgraph">
<area shape="rect" id="node3" href="namespacegmshtoucd.html#af68c1546c900f7a17a20835183320d61" title="gmshtoucd::info" alt="" coords="168,5,283,35"/><area shape="rect" id="node5" href="progressbar_8c.html#afac4bb91f0e22a14a209a0f60113654d" title="ProgressBar" alt="" coords="179,58,272,89"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="llg_8h_a35010647607c93a40bdab3e86041714f_icgraph.png" border="0" usemap="#llg_8h_a35010647607c93a40bdab3e86041714f_icgraph_map" alt=""></div>
<map name="llg_8h_a35010647607c93a40bdab3e86041714f_icgraph_map" id="llg_8h_a35010647607c93a40bdab3e86041714f_icgraph">
<area shape="rect" id="node3" href="precond_8c.html#a8cdc0d7af89d96e9d57fc6c0f791331f" title="Precond" alt="" coords="181,5,251,35"/><area shape="rect" id="node13" href="precond_8c.html#a811a9e1276828ec4cf472f954d12b1fc" title="Precond_Init" alt="" coords="169,58,263,89"/><area shape="rect" id="node5" href="mytscreatepvode_8c.html#a56b55de0386618edfef4220e5b7b078a" title="PVodeInit" alt="" coords="312,31,389,62"/><area shape="rect" id="node7" href="mytscreatepvode_8c.html#a9671ea286af405e584ae7468a0ce15b3" title="myTSCreatePVode" alt="" coords="437,31,568,62"/><area shape="rect" id="node9" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="616,31,675,62"/><area shape="rect" id="node11" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="723,31,773,62"/></map>
</div>
</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

